Skip to content

Counterparties

Use these endpoints to view Counterparties. Counterparties represent external accounts when moving funds in or out of a Jiko Account. Jiko will only transfer funds between accounts where the Counterparty has status: “VERIFIED”, meaning ownership of the account has been confirmed.

List Counterparties
deprecated

Request

List all counterparties for a customer. Deprecated: Use List Counterparties instead.

Security
HTTPBearer
Path
customer_idstring, (uuid)(Customer Id)required
Query
cursorstring or null(Cursor)
Any of:
string
limitinteger or null(Limit)
Any of:
> 0
integer
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/customers/{customer_id}/counterparties/?cursor=&limit=30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of objects(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "cj0xJnA9MjAyMi0xMi0yMSsxNyUzQTIyJTNBMDguNjc5MzQ5JTJCMDAlM0EwMA==", "next_page": "cD0yMDIyLTEyLTE5KzE5JTNBNTQlM0EyNy4xODMyNzglMkIwMCUzQTAw", "items": [ {} ], "object_type": "CursorList" }